ru.bitel.bgbilling.modules.tv.runtime

## Class ProductRuntimeList.ProductItem

- java.lang.Object
- - ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem
  - - ru.bitel.bgbilling.modules.tv.runtime.ProductRuntimeList.ProductItem

- All Implemented Interfaces:
    java.lang.Comparable<java.util.concurrent.Delayed>, java.util.concurrent.Delayed
  Enclosing class:
    ProductRuntimeList

      public static final class ProductRuntimeList.ProductItem
      extends ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem
      implements java.util.concurrent.Delayed

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `activationModeId`
    `short` | `deviceState`
    `int` | `productId`
    `int` | `version`

    - ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem

      `id, timeFrom, timeTo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductItem(int productSpecId, int productId, int activationModeId, java.util.Date timeFrom, java.util.Date timeTo, short deviceState)`
    `ProductItem(int productSpecId, int productId, int activationModeId, long timeFrom, long timeTo, short deviceState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.util.concurrent.Delayed other)`
    `long` | `getDelay(java.util.concurrent.TimeUnit unit)`
    `Product` | `toProduct(int contractId, int accountId)`
    `java.lang.StringBuilder` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### productId

          public final int productId

    - #### activationModeId

          public final int activationModeId

    - #### deviceState

          public volatile short deviceState

    - #### version

          public volatile int version

  - ### Constructor Detail

    - #### ProductItem

          public ProductItem(int productSpecId,
                             int productId,
                             int activationModeId,
                             java.util.Date timeFrom,
                             java.util.Date timeTo,
                             short deviceState)

    - #### ProductItem

          public ProductItem(int productSpecId,
                             int productId,
                             int activationModeId,
                             long timeFrom,
                             long timeTo,
                             short deviceState)

  - ### Method Detail

    - #### getDelay

          public long getDelay(java.util.concurrent.TimeUnit unit)

      Specified by:
        `getDelay` in interface `java.util.concurrent.Delayed`

    - #### compareTo

          public int compareTo(java.util.concurrent.Delayed other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.util.concurrent.Delayed>`

    - #### toProduct

          public Product toProduct(int contractId,
                                   int accountId)

    - #### toString

          public java.lang.StringBuilder toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`